<template>
    <div>
        <v-row>
            <v-col>
                <data-table
                    v-model="items"
                    endpoint="api/wishlists/all"
                    :title="$t('wishlist')"
                    :filters="filters"
                    :headers="headers"
                    :search-label="searchLabel"
                >
                    <template v-slot:filters="{ filters , confirmed }">
                        <wishlist-items-filters
                            :types.sync="filters.types"
                            @confirmed="confirmed"
                        ></wishlist-items-filters>
                    </template>

                    <template v-slot:item="{ item, index }">
                        <tr>
                            <td>{{ item.product.type.name }}</td>
                            <td>{{ item.user.profile.name }}</td>
                            <td>{{ item.product.name }}</td>
                            <td>{{ item.created_at }}</td>
                            <td>{{ item.updated_at }}</td>
                        </tr>
                    </template>
                </data-table>
            </v-col>
        </v-row>
    </div>
</template>

<script>
    import DataTable from "../DataTable";
    import VStockStatusSelect from "../VStockStatusSelect";
    import util from "../../../mixins/util"
    import {mapMutations} from "vuex";
    import WishlistItemsFilters from "../filters/WishlistItemsFilters";


    export default {
        name: "Wishlist",
        components: {VStockStatusSelect, DataTable, WishlistItemsFilters},
        mixins: [ util ],
        data: () => ({
            filters: {
                types: []
            },
            items: [],
            loading: false,
        }),

        computed: {
            headers() {
                return [
                    { text: this.$t('prod_collection'), value: 'prod_type', sortable: false },
                    { text: this.$t('customer_name'), value: 'customer_name', sortable: false },
                    { text: this.$t('prod_name'), value: 'prod_name', sortable: false },
                    { text: this.$t('created_at'), value: 'created_at', sortable: false },
                    { text: this.$t('updated_at'), value: 'updated_at', sortable: false },
                ]
            },

            searchLabel() {
                return this.$t('search_using', {
                    field: this.$t('product_',[this.$t('name')])
                });
            },
        },

        methods: {
            ...mapMutations('snackbar', [
                'error'
            ])
        }
    }
</script>

<style scoped>
</style>
